Error on Asterisk CLI

Hello!

I am getting the following error on asterisk CLI. Can anyone kindly explain this error to me? I am not expert in asterisk.

tcptls.c:683 handle_tcptls_connection: FILE * open failed!

It means you are using an unsupported version of Asterisk, as that part of the code is nowhere near line 683 in supported versions.

I’d also consider it to be a secondary failure. It failed to open a file. I think the file is the socket for the TCP connection. I’d hope there was a more explicit earlier error.

In any case, the code that outputs the message you are seeing no longer appears to exist in supported versions, or at least not in handle_tcptls_connection().

(It might be an even older version than the commonly used obsolete version, 13.

It’s asterisk 11.25.3.

What do you suggest? Should I go for Asterisk 16 or 18?

I would recommend either 18 or 19, depending on how often you upgrade/update your server
https://wiki.asterisk.org/wiki/display/AST/Asterisk+Versions

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.